import { Client } from "@notionhq/client";
import type { ServerLoadEvent } from "@sveltejs/kit";
import BlogPost from "./components/BlogPost.svelte";
import PostsList from "./components/PostsList.svelte";
type Tokens = {
    notionToken: string;
    databaseId: string;
    vercelByPassToken?: string;
};
export type BlogClient = {
    client: Client;
    config: Tokens;
};
export declare const initNotion: (config: Tokens) => BlogClient | null;
export declare const getAllPosts: () => Promise<{
    error: {
        code: number;
        message: string;
    };
    pages?: undefined;
} | {
    pages: import("@notionhq/client/build/src/api-endpoints").PageObjectResponse[];
    error?: undefined;
} | undefined>;
export declare const getBlogPageBySlug: (event: ServerLoadEvent) => Promise<{
    error: {
        code: number;
        message: string;
    };
    blocks?: undefined;
    title?: undefined;
    description?: undefined;
    cover?: undefined;
    slug?: undefined;
    published?: undefined;
    author?: undefined;
    faqs?: undefined;
} | {
    blocks: import("@notionhq/client/build/src/api-endpoints").BlockObjectResponse[];
    title: string | undefined;
    description: string | undefined;
    cover: string | undefined;
    slug: string;
    published: string | undefined;
    author: import("@notionhq/client/build/src/api-endpoints").UserObjectResponse | undefined;
    faqs: import("./types").FAQ[] | null;
    error?: undefined;
} | undefined>;
export { BlogPost, PostsList };
